Skip to content

Checking Balance ​

You can check your SMS account balance using the Check Balance endpoint. This will return the current balance of your SMS account.

Endpoint ​

  • URL: /sms/check-balance
  • Method: GET

Request Headers ​

Make sure to include the following headers in your request:

  • Authorization: Bearer YOUR_API_KEY
  • Content-Type: application/json

Sample Request ​

bash
curl --location 'https://dartpro.cecula.com/api/sms/check-balance' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \

Successful Response ​

json
{
  "balance": "118.00",
  "currency": "NGN"
}

This will return your current SMS account balance in the response. Be sure to replace YOUR_API_KEY with your actual API key.

💡 Note

The currency field tells you how your account is billed. UNITS means balance is your SMS units. NGN or USD means balance is the total of your Cecula Wallet. Running low? See Recharging Your Account.